# @extends

## #support

* [Support](https://support.microbit.org/)

## #projects

* [Projects](/projects)
    * [Flashing heart](/projects/flashing-heart)
    * [Smiley buttons](/projects/smiley-buttons)
    * [Love meter](/projects/love-meter)
    * [Rock paper scissors](/projects/rock-paper-scissors)
    * [Magic button trick](/projects/magic-button-trick)
    * [Coin Flipper](/projects/coin-flipper)
    * [Hack your headphones](/projects/hack-your-headphones)
    * [Banana keyboard](/projects/banana-keyboard)
    * [Guitar](/projects/guitar)
    * [Duct tape wallet](/projects/wallet)
    * [Watch](/projects/watch)
    * [Inchworm](/projects/inchworm)
    * [Milk Carton Robot](/projects/milk-carton-robot)
    * [Milk monster](/projects/milky-monster)
    * [Timing gates](/projects/timing-gates)
    * [Compass](/projects/compass)
    * [Telegraph](/projects/telegraph)

## #examples

* [Examples](/examples)
    * [Blinky](/examples/blinky)
    * [Name tag](/examples/name-tag)
    * [Rando](/examples/rando)
    * [Plot acceleration](/examples/plot-acceleration)
    * [Plot light level](/examples/plot-light-level)
    * [Plot analog pin](/examples/plot-analog-pin)
    * [Servo Calibrator](/examples/servo-calibrator)
    * [Game of Life](/examples/gameofLife)        

## Examples #examples

* [Examples](/examples)
    * [blinky](/examples/blinky)
    * [name tag](/examples/name-tag)
    * [rando](/examples/rando)
    * [plot acceleration](/examples/plot-acceleration)
    * [plot light level](/examples/plot-light-level)
    * [plot analog pin](/examples/plot-analog-pin)
    * [servo calibrator](/examples/servo-calibrator)
    * [Eddystone beacon](/examples/eddystone-beacon)

## #reference

* [Reference](/reference)
    * [Basic](/reference/basic)
        * [show number](/reference/basic/show-number)
        * [show icon](/reference/basic/show-icon)
        * [show leds](/reference/basic/show-leds)
        * [show string](/reference/basic/show-string)
        * [clear screen](/reference/basic/clear-screen)
        * [forever](/reference/basic/forever)
        * [pause](/reference/basic/pause)
        * [plot leds](/reference/basic/plot-leds)
        * [show arrow](/reference/basic/show-arrow)
        * [show animation](/reference/basic/show-animation)
    * [Input](/reference/input)
        * [on button pressed](/reference/input/on-button-pressed)
        * [on gesture](/reference/input/on-gesture)
        * [on pin pressed](/reference/input/on-pin-pressed)
        * [button is pressed](/reference/input/button-is-pressed)
        * [compass heading](/reference/input/compass-heading)
        * [pin is pressed](/reference/input/pin-is-pressed)
        * [temperature](/reference/input/temperature)
        * [acceleration](/reference/input/acceleration)
        * [light level](/reference/input/light-level)
        * [rotation](/reference/input/rotation)
        * [magnetic force](/reference/input/magnetic-force)
        * [running time](/reference/input/running-time)
        * [set accelerometer range](/reference/input/set-accelerometer-range)
    * [Music](/reference/music)
        * [play tone](/reference/music/play-tone)
        * [ring tone](/reference/music/ring-tone)
        * [rest](/reference/music/rest)
        * [beat](/reference/music/beat)
        * [tempo](/reference/music/tempo)
        * [change tempo by](/reference/music/change-tempo-by)
        * [set tempo](/reference/music/set-tempo)
    * [Led](/reference/led)
        * [plot](/reference/led/plot)
        * [unplot](/reference/led/unplot)
        * [point](/reference/led/point)
        * [toggle](/reference/led/toggle)
        * [brightness](/reference/led/brightness)
        * [set brightness](/reference/led/set-brightness)
        * [stop animation](/reference/led/stop-animation)
        * [plot bar graph](/reference/led/plot-bar-graph)
        * [enable](/reference/led/enable)
    * [Radio](/reference/radio)
        * [send number](/reference/radio/send-number)
        * [send value](/reference/radio/send-value)
        * [send string](/reference/radio/send-string)
        * [on data packet received](/reference/radio/on-data-packet-received)
        * [set group](/reference/radio/set-group)
        * [set transmit power](/reference/radio/set-transmit-power)
        * [set transmit serial number](/reference/radio/set-transmit-serial-number)
        * [write received packet to serial](/reference/radio/write-received-packet-to-serial)
    * [Bluetooth](/reference/bluetooth)
        * [About](/reference/bluetooth/about-bluetooth)    
        * [Pairing](/reference/bluetooth/bluetooth-pairing)
        * [on bluetooth connected](/reference/bluetooth/on-bluetooth-connected)
        * [on bluetooth disconnected](/reference/bluetooth/on-bluetooth-disconnected)
        * [start accelerometer service](/reference/bluetooth/start-accelerometer-service)
        * [start button service](/reference/bluetooth/start-button-service)
        * [start io pin service](/reference/bluetooth/start-io-pin-service)
        * [start led service](/reference/bluetooth/start-led-service)
        * [start magnetometer service](/reference/bluetooth/start-magnetometer-service)
        * [start temperature service](/reference/bluetooth/start-temperature-service)
        * [start uart service](/reference/bluetooth/start-uart-service)
        * [uart read until](/reference/bluetooth/uart-read-until)
        * [uart write string](/reference/bluetooth/uart-write-string)
        * [uart write number](/reference/bluetooth/uart-write-number)
        * [uart write value](/reference/bluetooth/uart-write-value)
        * [advertise url](/reference/bluetooth/advertise-url)
        * [stop advertising](/reference/bluetooth/stop-advertising)
        * [advertise uid](/reference/bluetooth/advertise-uid)
        * [advertise-uid-buffer](/reference/bluetooth/advertise-uid-buffer)
    * [Devices](/reference/devices)
        * [tell camera to](/reference/devices/tell-camera-to)
        * [tell remote control to](/reference/devices/tell-remote-control-to)
        * [raise alert to](/reference/devices/raise-alert-to)
        * [on notified](/reference/devices/on-notified)
        * [on gamepad button](/reference/devices/on-gamepad-button)
        * [signal strength](/reference/devices/signal-strength)
        * [on signal strength changed](/reference/devices/on-signal-strength-changed)

## #packages

* [Packages](/packages)
    * [NeoPixel](/pkg/microsoft/pxt-neopixel)
    * [Sonar](/pkg/microsoft/pxt-sonar)
    * [Bluetooth Temperature Sensor](/pkg/microsoft/pxt-bluetooth-temperature-sensor)
    * [MAX6675](/pkg/microsoft/pxt-max6675)
    * [Bluetooth MAX6675](/pkg/microsoft/pxt-bluetooth-max6675)
    * [Code Dojo Olney](/pkg/CoderDojoOlney/pxt-olney)
    * [UCL Junk Robot](/pkg/chevyng/pxt-ucl-junkrobot)
    * [SRS BitBot](/pkg/srs/pxt-bitbot)
}

## #other

* [Hardware](/device)
     * [Error codes](/device/error-codes)
     * [Foil circuits](/device/foil-circuits)
     * [Pins](/device/pins)
     * [Reactive](/device/reactive)
     * [Screen](/device/screen)
     * [Serial](/device/serial)
     * [Servo](/device/servo)
     * [Simulator](/device/simulator)
     * [Usb](/device/usb)
